Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Unix_Domain_Properties Class Reference

RTCORBA::UnixDomainProtocolProperties implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_Unix_Domain_Properties

[legend]
Collaboration diagram for TAO_Unix_Domain_Properties:

[legend]
List of all members.

## Public Methods
| TAO_Unix_Domain_Properties (CORBA::Long send_buffer_size = ACE_DEFAULT_MAX_SOCKET_BUFSIZ, CORBA::Long recv_buffer_size = ACE_DEFAULT_MAX_SOCKET_BUFSIZ)
| Constructor.
virtual CORBA::Long | send_buffer_size (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual void | send_buffer_size (CORBA::Long send_buffer_size, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::Long | recv_buffer_size (CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual void | recv_buffer_size (CORBA::Long recv_buffer_size, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment ()) throw (CORBA::SystemException)
virtual CORBA::Boolean | _tao_encode (TAO_OutputCDR &out_cdr)
virtual CORBA::Boolean | _tao_decode (TAO_InputCDR &in_cdr)
## Protected Methods
virtual | ~TAO_Unix_Domain_Properties (void)
| Protected destructor to enforce proper memory management of this reference counted object.
## Private Attributes
CORBA::Long | send_buffer_size_
CORBA::Long | recv_buffer_size_

## Detailed Description

RTCORBA::UnixDomainProtocolProperties implementation.

Stores Unix Domain Sockets (Local IPC) Protocol configuration properties.

## Constructor & Destructor Documentation

TAO_Unix_Domain_Properties::TAO_Unix_Domain_Properties ( | CORBA::Long send_buffer_size = ACE_DEFAULT_MAX_SOCKET_BUFSIZ,
| CORBA::Long recv_buffer_size = ACE_DEFAULT_MAX_SOCKET_BUFSIZ )

| Constructor.

TAO_Unix_Domain_Properties::~TAO_Unix_Domain_Properties ( | void )`[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

CORBA::Boolean TAO_Unix_Domain_Properties::_tao_decode ( | TAO_InputCDR & in_cdr )`[virtual]`

| This method reads an instance of UnixDomainProperties from a CDR encapsulation. This Protocol Property in TAO specific, so there is no order of encapsulation specified in the RT CORBA Spec. The current implementation expect the field according to the order of declaration.

CORBA::Boolean TAO_Unix_Domain_Properties::_tao_encode ( | TAO_OutputCDR & out_cdr )`[virtual]`

| This method writes the CDR encapsulation of an instance of UnixDomainProperties. This Protocol Property in TAO specific, so there is no order of encapsulation specified in the RT CORBA Spec. The current implementation encodes the field according to the order of declaration (i.e. first is encoded send_buffer_size and then recv_buffer_size).

void TAO_Unix_Domain_Properties::recv_buffer_size ( | CORBA::Long recv_buffer_size,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

CORBA::Long TAO_Unix_Domain_Properties::recv_buffer_size ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

void TAO_Unix_Domain_Properties::send_buffer_size ( | CORBA::Long send_buffer_size,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

CORBA::Long TAO_Unix_Domain_Properties::send_buffer_size ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

CORBA::Long TAO_Unix_Domain_Properties::recv_buffer_size_`[private]`

CORBA::Long TAO_Unix_Domain_Properties::send_buffer_size_`[private]`

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp